FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 05-13-2012, 03:28 PM
Nilesh Govindrajan
 
Default libicui18n.so.49 troubles

Hi,

I had to mask icu-49 because some packages failed to compile during a
world update. I reverted back to 4.8, but now certain applications
complain about .49 missing. revdep-rebuild isn't able to detect
breakages and neither revdep-rebuild -L libicui18n.so.49 solved the
problem.

How do I solve this?

--
Nilesh Govindarajan
http://nileshgr.com
 
Old 05-13-2012, 05:05 PM
Neil Bothwick
 
Default libicui18n.so.49 troubles

On Sun, 13 May 2012 20:58:51 +0530, Nilesh Govindrajan wrote:

> I had to mask icu-49 because some packages failed to compile during a
> world update.

Same here, but the problems seem fixed now and I unmasked 49-r1 a week or
so ago.


--
Neil Bothwick

Nothing is foolproof to a sufficiently talented fool.
 
Old 05-13-2012, 05:26 PM
Volker Armin Hemmann
 
Default libicui18n.so.49 troubles

Am Sonntag, 13. Mai 2012, 20:58:51 schrieb Nilesh Govindrajan:
> Hi,
>
> I had to mask icu-49 because some packages failed to compile during a
> world update. I reverted back to 4.8, but now certain applications
> complain about .49 missing. revdep-rebuild isn't able to detect
> breakages and neither revdep-rebuild -L libicui18n.so.49 solved the
> problem.
>
> How do I solve this?

just updated this noon, run revdep-rebuilt and everything is fine.

--
#163933
 
Old 05-13-2012, 05:26 PM
Markos Chandras
 
Default libicui18n.so.49 troubles

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 05/13/2012 06:05 PM, Neil Bothwick wrote:
> On Sun, 13 May 2012 20:58:51 +0530, Nilesh Govindrajan wrote:
>
>> I had to mask icu-49 because some packages failed to compile
>> during a world update.
>
> Same here, but the problems seem fixed now and I unmasked 49-r1 a
> week or so ago.
>
>
revdep-rebuild handles all packages except qt-core which you need to
rebuild yourself. If you found a package that does not build with the
new icu after running "revdep-rebuild && emerge -1 qt-core" file a bug
report.

- --
Regards,
Markos Chandras / Gentoo Linux Developer / Key ID: B4AFF2C2
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iQIcBAEBCgAGBQJPr+7VAAoJEPqDWhW0r/LCU40QAKDNvRiPawyKD/TyTHjF2Wsv
PWYtwsDRE2+ryNrR8sk6kWvRF5enOZBNNYKLSplMGhPd0/Mkl4td9wfrzwsvwgBT
et0IFgLI08eOdPtRGXVb4KHImvU707+5JWKrKbTe6F+b43B5xk rat+CZqDrMIj0P
4A0imMspS2bZC30QVW5UCPlVtg/E4Ah+1yCS/9Q2pdaB3hDkjXKpqPpWp0XA1ujR
kKCibQi+IIFCpm81Z0OAmLptUdaOjpmJbZB/rzYT2rHqG4SzmpmCA8dSeM/Ywmkq
zXvqpDOLW87dFYXjE9k1Vn6CUzSHUZOYVtvJkbmvUl/rLp24rEq8L7MVACyHjLBQ
UHWynw1INOLGLEOVEHFGKFxev4x1YvNQJnOtEj/4BncSeMMcK+Kceu4r5jV6Ehx2
MI4OLixwrx7aq7/aJUMBKdfBS9u2rseO1l8Epy6gFzca+eSzIjU82ikOcDOowVuT
KI/t3+Q/N+9TPy+V11Exm8+ApdZ8rFrmc5OKktJHJe9q8SNrKNLadHrxHO 3T98Ro
vZxt4oMPk9YV8MdJPAgODsQeRq4Tpr3yCg/cK/oIntvZqEFMOS0JVF3OqJ0GP0yz
np8WSxORBo+XA9G/9XfyjGyX943IbHlv/O0C7T4oPqTBEYqGaeZRIbOY56dYhAD9
Ecn1lXWFjUpS/hPZe2eW
=YQCQ
-----END PGP SIGNATURE-----
 
Old 05-14-2012, 05:04 PM
Nilesh Govindrajan
 
Default libicui18n.so.49 troubles

On Sun, May 13, 2012 at 10:56 PM, Markos Chandras <hwoarang@gentoo.org> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
>
> On 05/13/2012 06:05 PM, Neil Bothwick wrote:
>> On Sun, 13 May 2012 20:58:51 +0530, Nilesh Govindrajan wrote:
>>
>>> I had to mask icu-49 because some packages failed to compile
>>> during a world update.
>>
>> Same here, but the problems seem fixed now and I unmasked 49-r1 a
>> week or so ago.
>>
>>
> revdep-rebuild handles all packages except qt-core which you need to
> rebuild yourself. If you found a package that does not build with the
> new icu after running "revdep-rebuild && emerge -1 qt-core" file a bug
> report.
>
> - --
> Regards,
> Markos Chandras / Gentoo Linux Developer / Key ID: B4AFF2C2
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.19 (GNU/Linux)
>
> iQIcBAEBCgAGBQJPr+7VAAoJEPqDWhW0r/LCU40QAKDNvRiPawyKD/TyTHjF2Wsv
> PWYtwsDRE2+ryNrR8sk6kWvRF5enOZBNNYKLSplMGhPd0/Mkl4td9wfrzwsvwgBT
> et0IFgLI08eOdPtRGXVb4KHImvU707+5JWKrKbTe6F+b43B5xk rat+CZqDrMIj0P
> 4A0imMspS2bZC30QVW5UCPlVtg/E4Ah+1yCS/9Q2pdaB3hDkjXKpqPpWp0XA1ujR
> kKCibQi+IIFCpm81Z0OAmLptUdaOjpmJbZB/rzYT2rHqG4SzmpmCA8dSeM/Ywmkq
> zXvqpDOLW87dFYXjE9k1Vn6CUzSHUZOYVtvJkbmvUl/rLp24rEq8L7MVACyHjLBQ
> UHWynw1INOLGLEOVEHFGKFxev4x1YvNQJnOtEj/4BncSeMMcK+Kceu4r5jV6Ehx2
> MI4OLixwrx7aq7/aJUMBKdfBS9u2rseO1l8Epy6gFzca+eSzIjU82ikOcDOowVuT
> KI/t3+Q/N+9TPy+V11Exm8+ApdZ8rFrmc5OKktJHJe9q8SNrKNLadHrxHO 3T98Ro
> vZxt4oMPk9YV8MdJPAgODsQeRq4Tpr3yCg/cK/oIntvZqEFMOS0JVF3OqJ0GP0yz
> np8WSxORBo+XA9G/9XfyjGyX943IbHlv/O0C7T4oPqTBEYqGaeZRIbOY56dYhAD9
> Ecn1lXWFjUpS/hPZe2eW
> =YQCQ
> -----END PGP SIGNATURE-----
>

Thanks for your replies guys. I'll try updating again, hopefully it
should solve the problem.

--
Nilesh Govindarajan
http://nileshgr.com
 

Thread Tools




All times are GMT. The time now is 04:08 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org